package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.SupplementWork;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface SupplementWorkDAO {
	int insert(SupplementWork entity);
	int update(SupplementWork entity);
	int exist(String id);
	SupplementWork get(String id);
	int delete(String id);
	List<SupplementWork> list();
	List<SupplementWork> search(Map<String,Object> searchParams,List<Sort> sortList);
}